IBM Support

IC98815: UPGRADE OF BA CLIENT BY AUTO DEPLOYMENT FAILS IF DATA PROTECTION CLIENT IS INSTALLED

Subscribe

You can track all active APARs for this component.

APAR status

  • Closed as program error.

Error description

  • When upgrading a backup archive client using auto deployment,
    the auto deployment first uninstalls the client and API
    components. The uninstall of the API will fail if there is a
    dependency on it by a Tivoli Data Protection client. This is
    because the auto deployment feature does not check for
    dependencies on the client API, due to the number of
    applications and platforms it supports.
    
    The upgrade of a backup-archive client using auto deployment is
    not supported if a Data Protection client is installed, such as
    the Tivoli Storage Manager for Databases client. The Tivoli
    Storage Manager documentation should be updated with this
    information.
    

Local fix

  • Uninstall the Data Protection client prior to the client
    upgrade.
    

Problem summary

  • ****************************************************************
    * USERS AFFECTED: Users of the Client Deployment feature       *
    *                 where the AIX system has a product with      *
    *                 a dependency on the TSM API.                 *
    ****************************************************************
    * PROBLEM DESCRIPTION: See ERROR DESCRIPTION                   *
    ****************************************************************
    * RECOMMENDATION: Apply fixing level when available. This      *
    *                 enhancement is currently projected to be     *
    *                 available in levels 6.4.2 and 7.1.1.         *
    *                 Note that until these levels are available,  *
    *                 this information is subject to change at     *
    *                 the discretion of IBM.                       *
    ****************************************************************
    The deployement manager process was not checking for
    dependencies on the TSM API.  As a result, the upgrade process
    was started.  The step to remove the current BA Client complete
    but the removal of the API would fail and processing would
    stop.
    

Problem conclusion

  • The update manager was enhanced to verify there are no
    dependecies on the TSM API before any software is removed.
    Message:
    ANS4262E The preview of the client installation failed.
    Is reported to the server activity log.
    

Temporary fix

  • Apply fixing level when available. This
    enhancement is currently projected to be
    available in levels 7.1.0.3.
    Note that until these levels are available,
    this information is subject to change at
    the discretion of IBM.
    6.3.2.3 also contains the fix.
    

Comments

APAR Information

  • APAR number

    IC98815

  • Reported component name

    TSM CLIENT

  • Reported component ID

    5698ISMCL

  • Reported release

    64A

  • Status

    CLOSED PER

  • PE

    NoPE

  • HIPER

    NoHIPER

  • Special Attention

    NoSpecatt

  • Submitted date

    2014-01-17

  • Closed date

    2014-03-28

  • Last modified date

    2015-04-23

  • APAR is sysrouted FROM one or more of the following:

  • APAR is sysrouted TO one or more of the following:

Fix information

  • Fixed component name

    TSM CLIENT

  • Fixed component ID

    5698ISMCL

Applicable component levels

  • R63A PSY

       UP

  • R64A PSY

       UP

  • R71A PSY

       UP



Document information

More support for: Tivoli Storage Manager

Software version: 64A

Reference #: IC98815

Modified date: 23 April 2015